import request from '@/utils/request'

const api = {
  all: '/system/branch/list/all',
  changeGarde: '/system/branch/affiliation'
}

export function changeGarden(data) {
  return request({
    url: api.changeGarde,
    method: 'put',
    data
  })
}
// 查询幼儿园管理基本信息列表
export function listBranch(query) {
  return request({
    url: '/system/branch/page',
    method: 'get',
    params: query
  })
}

export function fetchAllKindergarten(params) {
  return request({
    url: api.all,
    method: 'get',
    params
  })
}

// 查询幼儿园管理基本信息详细
export function getBranch(id) {
  return request({
    url: '/system/branch/' + id,
    method: 'get'
  })
}

// 新增幼儿园管理基本信息
export function addBranch(data) {
  return request({
    url: '/system/branch',
    method: 'post',
    data: data
  })
}

// 修改幼儿园管理基本信息
export function updateBranch(data) {
  return request({
    url: '/system/branch',
    method: 'put',
    data: data
  })
}

export function editBranch(data) {
  return request({
    url: '/system/branch/baseInfo',
    method: 'put',
    data
  })
}

// 逻辑删除选中区域
export function logicalDelete(ids) {
  return request({
    url: '/system/branch/abandon/' + ids,
    method: 'put'
  })
}

// 删除幼儿园管理基本信息
export function delBranch(id) {
  return request({
    url: '/system/branch/' + id,
    method: 'delete'
  })
}
